{ pkgs, nixpkgs-master, nixpkgs-Draupnir, ... }: 
{
  disabledModules = [
    "services/matrix/synapse.nix"
  ];
  imports = [
    "${nixpkgs-master}/nixos/modules/services/matrix/synapse.nix"
    "${nixpkgs-Draupnir}/nixos/modules/services/matrix/draupnir.nix"
  ];
  nixpkgs.overlays = [
    (final: prev: {
      matrix-synapse-unwrapped = nixpkgs-master.legacyPackages.${pkgs.stdenv.hostPlatform.system}.matrix-synapse-unwrapped;
      draupnir = nixpkgs-Draupnir.legacyPackages.${pkgs.stdenv.hostPlatform.system}.draupnir;
    })
  ];
}
