final: prev: {
  grub2 = (prev.grub2.override {
    zfsSupport = false;
    efiSupport = false;
    xenSupport = false;
  }).overrideAttrs (oldAttrs: {
    doCheck = false;
    doInstallCheck = false;
    #remove --enable-grub-mount
    configureFlags = oldAttrs.configureFlags ++ [ "--disable-year2038 --disable-nls --disable-rpath --disable-dependency-tracking --disable-grub-mount --disable-grub-themes --disable-grub-mkfont" ];
    # remove unnecessary commands
    # postInstall = oldAttrs.postInstall + ''
      # rm -rf $out/share/locale
      # '';
  });

  grub2_light = final.grub2;
  grub2_efi = final.grub2;
  grub2_xen = final.grub2;
}
