final: prev: {
  systemd = prev.systemd.override {
    #pname = "systemd-extra-minimal";
    withSelinux = false;
    withKexectools = false;
    withLibseccomp = false;
    withAcl = false;
    withAudit = false;
    withAnalyze = false;
    withApparmor = false;
    withBootloader = false;
    withCompression = false;
    withCoredump = false;
    withCryptsetup = false;
    withRepart = false;
    withDocumentation = false;
    withEfi = false;
    withFido2 = false;
    withHomed = false;
    withHostnamed = false;
    withHwdb = true; # required by nixos 
    withImportd = false;
    withIptables = false;
    withKmod = true; # required by nixos
    withLibBPF = false;
    withLibidn2 = false;
    withLocaled = false;
    withLogind = true; # required by nixos
    withMachined = false;
    withNetworkd = false;
    withNss = false;
    withOomd = false;
    withPam = true; # required by nixos
    withPCRE2 = false;
    withPolkit = false;
    withPortabled = false;
    withQrencode = false;
    withRemote = false;
    withResolved = false;
    withShellCompletions = false;
    withSysusers = false;
    withSysupdate = false;
    withTimedated = false;
    withTimesyncd = false;
    withTpm2Tss = false;
    withUkify = false;
    withUserDb = false;
    withUtmp = false;
    withVmspawn = false;
    withKernelInstall = false;
    withTests = false;
    withLogTrace = false;
  };

  systemd-minimal = final.systemd;

  openssh = prev.openssh.overrideAttrs (oldAttrs: {
    # Disable PAM support
    doCheck = false;
    doInstallCheck = false;
  });
}
